AI crashes game since 0.77b5

AI crashes game since 0.77b5

Discuss your problems with the latest release of the engine here. Problems with games, maps or other utilities belong in their respective forums.

Moderator: Moderators

Post Reply
User avatar
Aqo
Posts: 24
Joined: 18 Oct 2008, 02:23

AI crashes game since 0.77b5

Post by Aqo »

I used to be able to play against AI fine, but ever since I updated to 0.77b5 trying to run the game against an AI fails. The map would load, but after clicking return the game crashes and I get the following error:

-----
Incorrect GlobalAI library "J:\TASpring\AI\Bot-libs\KAIK-0.13.dll"
(lib interface version 1691, engine interface version 1695)
-----

This is true for all the AIs that are located in this package: Windows AI pack for spring 0.77b4(+)

What gives?
User avatar
Zoy64
Posts: 454
Joined: 12 Nov 2006, 00:30

Re: AI crashes game since 0.77b5

Post by Zoy64 »

im having the same prob, its no fun to play with no AIs
User avatar
panzeriv2
Posts: 208
Joined: 12 Aug 2008, 12:02

Re: AI crashes game since 0.77b5

Post by panzeriv2 »

1. The AI is not compatible with spring.
2. That AI file is broken.
3. That AI is not compatible with the mod ur using.

4. Play Spring multiplayer, as Spring is mostly designed for that.
5. Play Chicken.
User avatar
Aqo
Posts: 24
Joined: 18 Oct 2008, 02:23

Re: AI crashes game since 0.77b5

Post by Aqo »

I know that Spring is designed for multiplayer, but I'm working on a mod and I want to be able to test my changes quickly in singleplayer, and when every single AI crashes the game this is simply impossible to do :/
User avatar
altaric
Posts: 185
Joined: 28 Oct 2005, 10:07

Re: AI crashes game since 0.77b5

Post by altaric »

i'm having the same problem :(

downloaded the AI pack twice

how to install them, just copy to Spring\AI\Bot-libs ?
User avatar
Hobo Joe
Posts: 1001
Joined: 02 Jan 2008, 21:55

Re: AI crashes game since 0.77b5

Post by Hobo Joe »

Same problem here, in Ubuntu 8.04.
MelTraX
Posts: 470
Joined: 02 Jan 2007, 16:18

Re: AI crashes game since 0.77b5

Post by MelTraX »

AAI from the 0.77b5 installer works fine for me. KAIK doesn't build units but that could be a problem only I have.

As the error message sais, the AI interface changed, so you can't use AIs from older Spring versions.
User avatar
Aqo
Posts: 24
Joined: 18 Oct 2008, 02:23

Re: AI crashes game since 0.77b5

Post by Aqo »

Was there any reason for that interface change? I thought b5 was just a quick bugfix, AIs worked fine in b4.

I just tried getting the AIs from the 0.77b5 installer file and they worked fine, woot, thanks for pointing that out. KAI(k) worked fine on BA6.5 although it was very... uh... not challenging, though I guess that's not really the AI's fault, it did play as intended.
Kloot
Spring Developer
Posts: 1867
Joined: 08 Oct 2006, 16:58

Re: AI crashes game since 0.77b5

Post by Kloot »

Was there any reason for that interface change?
No. The AI interface just implicitely depends on a number of engine components which
if changed cause its "version" (a very simple checksum) to be altered automatically.

Bottom line: you should not _ever_ try to use an AI compiled for an out-of-date Spring (77b4 or earlier) with whatever the current most recent (77b5) one is, even if it was a bugfix release.
User avatar
Zoy64
Posts: 454
Joined: 12 Nov 2006, 00:30

Re: AI crashes game since 0.77b5

Post by Zoy64 »

can we get a link to a way to download the AIs separately?
Post Reply

Return to “Help & Bugs”

cron